// import "./App.css";
// import Input from "./component/Input/Input";
// import Landing from "./component/Landing/Landing";

// function App() {
//   return (
//     <div className="flex flex-col w-full items-center justify-around  h-screen p-4 mx-auto bg-gradient-to-r from-purple-600 to-blue-600">
//       <Landing/>
//       {/* <Input
//         type="text"
//         placeholder=" نام خود را وارد کنید ..."
//         className="w-[25rem] h-10 p-2 text-gray-600 outline-none rounded-lg"
//       />
//       <button
//         type="submit"
//         className="cursor-pointer w-16 p-4 bg-green-500 outline-none rounded-lg text-yellow-100"
//       >
//         بعدی
//       </button> */}
//     </div>
//   );
// }

// export default App;







////////////////////////////////default

import  { Suspense, useEffect, useMemo } from "react";
import { config, menu, user } from "~/redux/actions";
import { useLocation, useNavigate, useRoutes } from "react-router-dom";
import Dialog from "~/components/Dialog";
import ErrorBoundary from "~/components/ErrorBoundary";
// import Footer from "~/components/Footer";
// import Header from "~/components/Header";
import Loading from "~/components/Loading";
// import Menu from "~/components/Menu";
import Theme from "~/components/Theme";
import Toast from "~/components/Toast";
import appconfig from "./config";
import { connect } from "react-redux";
import { motion } from "framer-motion";
import routes from "~react-pages";
// import ChangesLog from "./ChangesLog";

//router

// import { BrowserRouter as Router } from "react-router-dom";

if (appconfig.base)
  routes.forEach((e) => {
    e.path = (appconfig.base + "/" + e.path).replace("//", "/");
  });
const pageVariants = {
  initial: { opacity: 0 },
  in: { opacity: 1 },
  out: { opacity: 0 },
};
const pageTransition = {
  type: "slide",
  ease: "linear",
  duration: 0.5,
};
const Root = ({
  user,
  dialog,
  menuList,
  setDialog,
  getMenuList,
  themeName,
  device,
  setDevice,
  ActiveRoleId,
  setActiveRole,
  setBottomSheet,
  switchRole,
  userRoleId,
  hasMenu,
  hasHeader,
  setMenu,
  setTheme,
  themeColors,
  login,
  logout,
}) => {
  const queryParams = Object.fromEntries(
    new URLSearchParams(window.location.search)
  );
  const navigate = useNavigate();
  const location = useLocation();
  // FIXME
  useMemo(async () => {
    setMenu(true);
    if (user) getMenuList();
  }, [user, ActiveRoleId]);
  useEffect(() => {
    if (!location.pathname.includes("wiki") && user && menuList.length < 2)
      getMenuList();
  }, [location.pathname]);
  let multyRole = user?.userRoles?.length > 1;
  // console.log({ Location, user, ActiveRoleId, multyRole });
  if (user && user.passwordHealth?.message) {
    let Location = location.pathname.split("/")[appconfig.base ? 2 : 1];
    if (!Location.includes("renewPassword"))
      navigate(appconfig.base + "/renewPassword", { replace: true });
  }
  let Location = location.pathname.split("/")[appconfig.base ? 2 : 1];
  const publics = ["landing"];
  const publicsOnly = ["login", "guilds", "clients", "help"];
  const isPublicOnly = publicsOnly.includes(Location);
  const isPublic = publics.includes(Location);
  useEffect(() => {
    if (!queryParams.code && !user && ActiveRoleId != undefined) {
      login();
    }  else {
      // else if (!user && !ActiveRoleId) await logout();

      if (!user && !isPublic && !isPublicOnly) {
        if (!location.pathname.includes("logout"))
          if (typeof location.search === "string")
            window.sessionStorage.setItem(
              "next",
              location.pathname + (location.search || "")
            );
        navigate(appconfig.base + "/login", {
          replace: false,
        });
      } else if (
        Location != "logout" &&
        user &&
        ActiveRoleId == undefined &&
        multyRole
      ) {
        navigate(appconfig.base + "/switchRole", { replace: true });
      } else if (user && isPublicOnly) {
        let next = window.sessionStorage.getItem("next") || "/";
        window.sessionStorage.removeItem("next");
        navigate(appconfig.base + next);
      }
    }
  }, [Location, user]);
  return (
    <Theme
      themeColors={themeColors}
      themeName={themeName}
      device={device}
      setDevice={setDevice}
    >
      <div className="flex flex-row w-full max-w-screen h-full bg-background">
        {/* {hasMenu && (
          <Menu
            device={device}
            user={user}
            setDialog={setDialog}
            menuList={menuList}
            setActiveRole={setActiveRole}
            switchRole={switchRole}
            userRoleId={userRoleId}
          />
        )} */}
        <div className="flex flex-col flex-1   prettyScroll overflow-y-auto">
          {/* {hasHeader && (
            <Header
              themeColors={themeColors}
              setTheme={setTheme}
              themeName={themeName}
              user={user}
              location={location}
              setBottomSheet={setBottomSheet}
            />
          )} */}

          <section className="flex flex-col flex-1 bg-background">
            <Suspense fallback={<Loading />}>
              <motion.div
                key={location.pathname}
                initial="initial"
                animate="in"
                variants={pageVariants}
                transition={pageTransition}
                className="w-full h-screen flex-1 flex"
              >
                <ErrorBoundary>{useRoutes(routes)}</ErrorBoundary>
              </motion.div>
            </Suspense>
          </section>
          {/* <Footer user={user} location={location} /> */}
        </div>
      </div>
      {/* <ChangesLog setDialog={setDialog} user={user} /> */}
      <Dialog setDialog={setDialog} dialog={dialog} />
      <Toast />
    </Theme>
  );
};

export default connect(
  (state) => ({
    user: state.user.status,
    dialog: state.config.dialog,
    bottomSheet: state.config.bottomSheet,
    menuList: state.menu.list,
    themeName: state.config.themeName,
    device: state.config.device,
    hasMenu: state.config.menu,
    hasHeader: state.config.header,
    ActiveRoleId: state.user.ActiveRoleId,
    userRoleId: state.user.userRoleId,
    themeColors: state.config.themeColors,
  }),
  {
    setDialog: config.setDialog,
    setBottomSheet: config.setBottomSheet,
    getMenuList: menu.list,
    setDevice: config.setDevice,
    setActiveRole: user.setActiveRoleId,
    switchRole: user.switchRole,
    setMenu: config.setMenu,
    setTheme: config.setTheme,
    getProfile: user.getProfile,
    login: user.login,
    logout: user.logout,
  }
)(Root);
