import { Iconly } from "react-iconly";
import icons, { iconlyList } from "~/icons";

const Icon = ({ name, size = 24, variant, color, className, title }) => {
  let primaryColor = "var(--primary)";
  let iconSaxSet = new Set(icons);
  if (iconlyList[name])
    return (
      <Iconly
        size={size}
        primaryColor={color || primaryColor}
        name={name}
        filled={variant == "bold" ? true : false}
        stroke={variant || null}
        className={className}
      />
    );
  if (iconSaxSet.has(name)) {
    return (
      <span
        title={title}
        className={`${className} ltr isax isax-${name}`}
        style={{ fontSize: size, color: color, fontWeight: variant }}
      />
    );
  }
  // console.log(name);
  return <img src={name} alt={name} className={className} />;
};
export default Icon;
