import React from "react";
import TopBarProgress from "react-topbar-progress-indicator";
import Loading from "react-loading";
TopBarProgress.config({
  barColors: {
    0: "#3C58EA",
    0.5: "#0dbe94",
    1: "#3C58EA",
  },
  shadowBlur: 1,
});
const myLoading = ({ text, color, size, className, textClassName }) => {
  size = size || 20;
  color = color || "var(--primary)";
  return (
    <div
      className={
        "flex text-xs text-center text-surfaceText gap-3 justify-center my-5 " +
        className
      }
    >
      <Loading
        color={color}
        type="spin"
        width={size + "px"}
        height={size + "px"}
      />
      <span className={`text-surfaceText ${textClassName} pt-1`}>
        {typeof text == "string" ? text : "در حال پردازش و دریافت اطلاعات ..."}
      </span>
      <TopBarProgress />
    </div>
  );
};

export default myLoading;
