import _ from "lodash";
import { useMemo } from "react";
import { IconlyProvider } from "react-iconly";
import { useEffect } from "react";

const root = document.querySelector(":root");
function hexToRgb(hex) {
  var result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
  return result
    ? [
        parseInt(result[1], 16),

        parseInt(result[2], 16),

        parseInt(result[3], 16),
      ]
    : [];
}
const Theme = ({ themeColors, children, themeName, device, setDevice }) => {
  useEffect(() => {
    const activeTheme = themeColors[themeName];
    for (let k in activeTheme) root.style.setProperty(k, activeTheme[k]);
    for (let k in activeTheme)
      root.style.setProperty(
        k + "RGB",
        `${hexToRgb(activeTheme[k]).join(",")}`
      );
    window.localStorage.setItem("themeName", themeName);
  }, [themeName]);

  const checkSize = () => {
    const width = window.innerWidth;
    if (width <= 640) {
      if (device !== "mobile") setDevice("mobile");
    } else if (width <= 1024) {
      if (device !== "tablet") setDevice("tablet");
    } else {
      if (device !== "desktop") setDevice("desktop");
    }
    document.documentElement.style.setProperty(
      "--vh",
      window.innerHeight * 0.01 + "px"
    );
  };
  window.addEventListener("resize", _.debounce(checkSize, 300));
  useMemo(checkSize, []);
  return (
    <div>
      <IconlyProvider
        set="outline"
        primaryColor="#3C58EA"
        secondaryColor="#ffffff"
        size="medium "
      >
        <div
          className={`w-screen real-height real-max-height flex flex-col lg:flex-row rtl overflow-hidden lg:py-0 
            }`}
        >
          {children}
        </div>
      </IconlyProvider>
    </div>
  );
};
export default Theme;
