import React, { StrictMode } from "react";
import ReactDOM from "react-dom/client";
import App from "./App";
//router
import { BrowserRouter as Router } from "react-router-dom";

//redux
import store from "~/redux/store";
import { Provider } from "react-redux";
//external css
import "./App.scss";
// import "./tailwind.js";
import "react-toastify/dist/ReactToastify.css";
import "react-modern-drawer/dist/index.css";
import "react-spring-bottom-sheet/dist/style.css";
import "leaflet/dist/leaflet.css";
// import "leaflet-draw/dist/leaflet.draw.css";
// import "react-orgchart/index.css";
// import "react-quill/dist/quill.core.css";
// import "react-quill/dist/quill.snow.css";
// import "./leaflet.min.css"
// import "./leaflet.min.css"

// if (tailwind == undefined) window.location.reload(true);
window.t = (i) => i;
setTimeout(() => {
  tailwind.config = {
    theme: {
      colors: {
        primary: "rgba(var(--primaryRGB) , var(--tw-bg-opacity,1))",
        primaryLight: "rgba(var(--primaryLightRGB) , var(--tw-bg-opacity,1))",
        primaryDark: "rgba(var(--primaryDarkRGB) , var(--tw-bg-opacity,1))",
        secondary: "rgba(var(--secondaryRGB) , var(--tw-bg-opacity,1))",
        secondaryDark: "rgba(var(--secondaryDarkRGB) , var(--tw-bg-opacity,1))",
        secondaryLight:
          "rgba(var(--secondaryLightRGB) , var(--tw-bg-opacity,1))",
        surface: "rgba(var(--surfaceRGB) , var(--tw-bg-opacity,1))",
        surfaceLight: "rgba(var(--surfaceLightRGB) , var(--tw-bg-opacity,1))",
        surfaceDark: "rgba(var(--surfaceDarkRGB) , var(--tw-bg-opacity,1))",
        success: "rgba(var(--successRGB) , var(--tw-bg-opacity,1))",
        successText: "rgba(var(--successTextRGB) , var(--tw-bg-opacity,1))",
        warning: "rgba(var(--warningRGB) , var(--tw-bg-opacity,1))",
        warningText: "rgba(var(--warningTextRGB) , var(--tw-bg-opacity,1))",
        error: "rgba(var(--errorRGB) , var(--tw-bg-opacity,1))",
        primaryText: "var(--primaryText)",
        secondaryText: "var(--secondaryText)",
        background: "var(--background)",
        backgroundText: "var(--backgroundText)",
        surfaceText: "var(--surfaceText)",
        surfaceBorder: "var(--surfaceBorder)",
        info: "var(--info)",
        infoText: "var(--infoText)",
        errorText: "var(--errorText)",
        borderColor: "var(--borderColor)",
        backgroundBorder: "var(--backgroundBorder)",
      },
      fontFamily: {
        1: ["font-1"],
        2: ["font-2"],
        3: ["font-3"],
        4: ["font-4"],
        5: ["font-5"],
        6: ["font-6"],
        7: ["font-7"],
        8: ["font-8"],
        9: ["font-9"],
      },
    },
  };
}, 100);

const root = ReactDOM.createRoot(document.getElementById("root"));

// if (window.location.hostname == "localhost") {
if (!window.initialized) {
  var onBeforeUnLoadEvent = false;
  let counter = +window.localStorage.getItem("activeTabs") || 0;
  window.localStorage.setItem("activeTabs", counter + 1);
  window.initialized = true;
}

window.onunload = window.onbeforeunload = function (event) {
  event.stopImmediatePropagation();
  if (!onBeforeUnLoadEvent) {
    onBeforeUnLoadEvent = true;
    let counter = +window.localStorage.getItem("activeTabs");
    if (counter > 0) window.localStorage.setItem("activeTabs", counter - 1);
    if (counter == 1) {
      window.localStorage.removeItem("activeTabs");
      if (window.location.hostname == "sameh.barnamenegar.com") {
        window.localStorage.removeItem("activeRoleId");
        window.sessionStorage.removeItem("userData");
        window.sessionStorage.removeItem("sessionId");
        window.Axios.post("/user/logout", { timeout: true });
      }
      // return "نشست شما خاتمه پیدا کرد";
    }
  }
  return null;
};
// }

root.render(
  //   <StrictMode>
  <Router>
    <Provider store={store}>
      <App />
    </Provider>
  </Router>
  //   </StrictMode>
);
