import proxy from "~/redux/proxy";
const prefix = "auto/";
const auto = {
  list:
    (data = {}) =>
      async (dispatch) => {
        return await proxy.get(
          prefix + data._service + "/",
          { ...data, schema: true },
          { dispatch }
        );
      },
  info:
    (data = {}) =>
      async (dispatch) => {
        return await proxy.get(prefix + data._service + "/" + data.id, data, {
          dispatch,
        });
      },
  add:
    (data = {}) =>
      async (dispatch) => {
        return await proxy.post(prefix + data._service + "/add", data, {
          dispatch,
        });
      },
  delete:
    (data = {}) =>
      async (dispatch) => {
        return await proxy.delete(
          prefix + data._service + "/delete/" + data.id,
          data,
          {
            dispatch,
          }
        );
      },
  update:
    (data = {}) =>
      async (dispatch) => {
        return await proxy.put(
          prefix + data._service + "/update/" + data.id,
          data,
          {
            dispatch,
          }
        );
      },
  getExcelData: (data) => async (dispatch) => {
    return await proxy.get(
      prefix + data._service + "/",
      { ...data, excelData: true },
      { dispatch }
    );
  },
  clearExcelData:
    (data = {}) =>
      async (dispatch) => {
        await dispatch({
          type: prefix + data._service + "/clearExcelData",
          data,
        });
      },
  timeReport:
    (data = {}) =>
      async (dispatch) => {
        return await proxy.get(prefix + data._service + "/timeReport", data, {
          dispatch,
        });
      },
};

export default auto;
