import proxy from "~/redux/proxy";
const healthCard = {
  updatePrintDate:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("healthCard/updatePrintDate", data, { dispatch });
    },
  setVoid:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("healthCard/setVoid", data, { dispatch });
    },
  revertAutoCancel:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("healthCard/revertAutoCancel", data, { dispatch });
    },
  changeJobId:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("healthCard/changeJobId", data, { dispatch });
    },
  abate:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("healthCard/abate", data, { dispatch });
    },
  forceApprove:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("healthCard/forceApprove", data, { dispatch });
    },
  voidIncorrectUniversity:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("healthCard/voidIncorrectUniversity", data, {
        dispatch,
      });
    },
  getJobs:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("healthCard/getJobs", data, { dispatch });
    },
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("healthCard/list", data, { dispatch });
    },
  getExcelData: (data) => async (dispatch) => {
    return await proxy.get(
      "healthCard/list",
      { ...data, excelData: true },
      { dispatch }
    );
  },
  clearExcelData:
    (data = {}) =>
    async (dispatch) => {
      await dispatch({ type: "healthCard/clearExcelData", data });
    },
  getlog:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("healthCard/nationalIdLog", data, { dispatch });
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("healthCard/info", data, { dispatch });
    },
  add:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("healthCard/add", data, { dispatch });
    },
  delete:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.delete("healthCard/delete", data, { dispatch });
    },
  update:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("healthCard/update", data, { dispatch });
    },
};

export default healthCard;
