import proxy from "~/redux/proxy";
const inspection = {
  getStatics:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/inspection/statistics/network", data, {
        dispatch,
      });
    },
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("inspection/list", data, { dispatch });
    },
  getExcelData: (data) => async (dispatch) => {
    return await proxy.get(
      "inspection/list",
      { ...data, excelData: true },
      { dispatch }
    );
  },
  clearExcelData:
    (data = {}) =>
    async (dispatch) => {
      await dispatch({ type: "inspection/clearExcelData", data });
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("inspection/info", data, { dispatch });
    },
  add:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("inspection/add", data, { dispatch });
    },
  delete:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.delete("inspection/delete", data, { dispatch });
    },
  update:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("inspection/update", data, { dispatch });
    },
};

export default inspection;
