import proxy from "~/redux/proxy";
const network = {
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("network/list", data, { dispatch });
    },
  getExcelData: (data) => async (dispatch) => {
    return await proxy.get(
      "network/list",
      { ...data, excelData: true },
      { dispatch }
    );
  },
  clearExcelData:
    (data = {}) =>
    async (dispatch) => {
      await dispatch({ type: "network/clearExcelData", data });
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("network/info", data, { dispatch });
    },
  add:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("network/add", data, { dispatch });
    },
  delete:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.delete("network/delete", data, { dispatch });
    },
  update:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("network/update", data, { dispatch });
    },
  transfer:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("network/transfer", data, { dispatch });
    },
};

export default network;
