import proxy from "~/redux/proxy";
const menu = {
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get(
        "admin/roleFunction",
        { ...data, schema: true },
        { dispatch }
      );
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("admin/roleFunction/" + data.id, data, {
        dispatch,
      });
    },
  add:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("admin/roleFunction/add", data, { dispatch });
    },
  delete:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.delete("admin/roleFunction/delete/" + data.id, data, {
        dispatch,
      });
    },
  update:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("admin/roleFunction/update/" + data.id, data, {
        dispatch,
      });
    },
};

export default menu;
