import proxy from "../proxy";

const task = {
  inactive:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/taskFlow/inactive", data, { dispatch });
    },
  draft:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/task/draft", data, { dispatch });
    },
  done:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/task/done", data, { dispatch });
    },
  archive:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("bpms/task/archive", data, { dispatch });
    },
  revert:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/task/revert", data, { dispatch });
    },
  cancel:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/task/cancel", data, { dispatch });
    },
  rollback:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/task/rollback", data, { dispatch });
    },
  rollback2:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/task/rollback2", data, { dispatch });
    },
  startable:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/process/startable", data, { dispatch });
    },
  inboxInfo:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/inboxInfo", data, { dispatch });
    },
  start:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/process/start", data, { dispatch });
    },
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/task/list", data, { dispatch });
    },
  processList:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/process/list", data, { dispatch });
    },
  getExcelData:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/task/list", data, { dispatch });
    },
  htmlCreator:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/htmlCreator", data, { dispatch });
    },
  checklistInfo:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/task/checklistInfo", data, { dispatch });
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/task/info", data, { dispatch });
    },
  tree:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/task/tree", data, { dispatch });
    },
  done:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/task/done", data, { dispatch });
    },
  periodicSampling:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("bpms/periodicSampling", data, { dispatch });
    },
  samplingStart:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/samplingStart", data, { dispatch });
    },
  watersupply_startInspection:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("bpms/watersupply/startInspection", data, {
        dispatch,
      });
    },
};

export default task;
