import proxy from "~/redux/proxy";
const unit = {
  instructions:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("unit/instructions", data, { dispatch });
    },
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("unit/list", data, { dispatch });
    },
  getExcelData: (data) => async (dispatch) => {
    return await proxy.get(
      "unit/list",
      { ...data, excelData: true },
      { dispatch }
    );
  },
  clearExcelData:
    (data = {}) =>
    async (dispatch) => {
      return await dispatch({ type: "unit/clearExcelData", data });
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("unit/info", data, { dispatch });
    },
  checkContractLimit:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("unit/checkContractLimit", data, { dispatch });
    },
  add:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("unit/add", data, { dispatch });
    },
  delete:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.delete("unit/delete", data, { dispatch });
    },
  update:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("unit/update", data, { dispatch });
    },
  healthQualification_list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("unit/healthQualification/list", data, {
        dispatch,
      });
    },
  freeAuditorRevoke:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("unit/freeAuditorRevoke", data, {
        dispatch,
      });
    },
};

export default unit;
