import proxy from "../proxy";
const userProduct = {
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("userProduct/list", data, { dispatch });
    },
  getExcelData: (data) => async (dispatch) => {
    return await proxy.get(
      "userProduct/list",
      { ...data, excelData: true },
      { dispatch }
    );
  },
  clearExcelData:
    (data = {}) =>
    async (dispatch) => {
      await dispatch({ type: "userProduct/clearExcelData", data });
    },
  myList:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("userProduct/myList", data, { dispatch });
    },
  info:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("userProduct/info", data, { dispatch }),
  update:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("userProduct/update", data, { dispatch });
    },
  delete:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.delete("userProduct/delete", data, { dispatch });
    },
  add:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("userProduct/add", data, { dispatch });
    },
  addShow:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      return await proxy.post("userProduct/addShow", data, { dispatch });
      return await proxy.get("userProduct/list", data2, { dispatch });
      // return await proxy.get("userFactor/info", data3, { dispatch });
    },
  del:
    (data = {}, data2 = {}) =>
    async (dispatch) => {
      return await proxy.delete("userProduct/delete", data);
      return await proxy.get("userProduct/list", data2, { dispatch });
    },
};

export default userProduct;
