import proxy from "~/redux/proxy";
const waterSupply = {
  list:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("waterSupply/list", data, { dispatch });
    },
  getExcelData: (data) => async (dispatch) => {
    return await proxy.get(
      "waterSupply/list",
      { ...data, excelData: true },
      { dispatch }
    );
  },
  clearExcelData:
    (data = {}) =>
    async (dispatch) => {
      await dispatch({ type: "waterSupply/clearExcelData", data });
    },
  info:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.get("waterSupply/info", data, { dispatch });
    },
  add:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.post("waterSupply/add", data, { dispatch });
    },
  delete:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.delete("waterSupply/delete", data, { dispatch });
    },
  update:
    (data = {}) =>
    async (dispatch) => {
      return await proxy.put("waterSupply/update", data, { dispatch });
    },
};

export default waterSupply;
