import { toast } from "react-toastify";

const initialState = {
  loading: false,
  error: null,
  list: [],
  searchResult: [],
  search: null,
  roleConflicts: [],
};
export default function certificate(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "certificate/checkConflict":
      return { ...state, loading: false, roleConflicts: data, error: null };
    case "certificate/list":
      return { ...state, loading: false, list: data, error: null };
    case "certificate/add":
      return { ...state, loading: false, error: null };
    case "certificate/healthQualification/start":
      return {
        ...state,
        loading: false,
        error: null,
        start: data,
      };
    case "certificate/freeAuditRegistration/start":
      return {
        ...state,
        loading: false,
        error: null,
        start: data,
      };
    case "certificate/certifiedGuildAddUnitStart":
    case "certificate/freeAuditAddUnitStart":
      return {
        ...state,
        loading: false,
        error: null,
        start: data,
      };

    case "certificate/loading":
      return { ...state, loading: true };
    case "certificate/error":
      toast.error(data.message, { autoClose: !data.message.includes("!!") });
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
