import { toast } from "react-toastify";

const initialState = {
  loading: false,
  error: null,
  list: [],
  info: null,
};
export default function content(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "content/list":
      return { ...state, loading: false, list: data, error: null };
    case "content/add":
      return { ...state, loading: false, error: null };
    case "content/info":
      return {
        ...state,
        loading: false,
        error: null,
        info: data,
      };
    case "content/loading":
      return { ...state, loading: true };
    case "content/error":
      toast.error(data.message, { autoClose: !data.message.includes("!!") });
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
